Bug 10423 - Date not well formatted on 'print summary' from patron account
Summary: Date not well formatted on 'print summary' from patron account
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-06 06:13 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
screenshot (12.63 KB, image/png)
2013-06-06 06:13 UTC, Katrin Fischer
Details
Bug 10423: Show date due with time if it's a hourly loan (2.68 KB, patch)
2015-04-15 13:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10423: Show date due with time if it's a hourly loan (2.68 KB, patch)
2015-04-16 11:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
[ALTERNATIVE PATCH] Bug 10423: Prevent race condition on printing a ReserveSlip (8.60 KB, patch)
2015-04-16 12:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
[Signed-off] Bug 10423: Show date due with time if it's a hourly loan (2.88 KB, patch)
2015-04-17 08:28 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 10423: Show date due with time if it's a hourly loan (2.93 KB, patch)
2015-04-17 21:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-06-06 06:13:30 UTC
Created attachment 18690 [details]
screenshot

The due date printed on the account summary printed from the patron account using the 'print summary' option is not well formatted (see screenshot)
Comment 1 Jonathan Druart 2015-04-15 13:37:46 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-04-15 13:38:10 UTC
The original issue is fixed, but hourly loan are not correctly displayed.
Comment 3 Jonathan Druart 2015-04-16 11:17:17 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-04-16 12:19:56 UTC Comment hidden (obsolete)
Comment 5 Marc Véron 2015-04-17 08:28:13 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2015-04-17 21:14:52 UTC
There are quite similar changes in bug 12847 - just noting in case of conflict.
Comment 7 Katrin Fischer 2015-04-17 21:24:41 UTC
Created attachment 38109 [details] [review]
[PASSED QA] Bug 10423: Show date due with time if it's a hourly loan

On printing the summary from the patron account, the hours are not
displayed if needed.
The as_date_due flag should be set to display it correctly.
Problem, GetPendingIssues modify the value retrieved from the database.
In order to not add regression and check all calls to GetPendingIssues,
this patch backup the value before the change.

Test plan:
Check some items out, specify a hourly loan for some.
Click on print > print summary and confirm the date due are correctly
formatted.

Followed test plan. Date + time display as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Tomás Cohen Arazi 2015-04-24 23:18:44 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 9 Chris Cormack 2015-05-17 03:52:19 UTC
Pushed to 3.18.x will be in 3.18.7